#include <LiquidCrystal.h> //Includes the relevant LCD library
#define ledPinA 12
#define ledPinB 11
#define ledPinC 10 //The LED pins
LiquidCrystal lcd(2, 8, 6, 5, 3, 4); //The LCD pins
//I could not find an ascii code for the letter alpha so I made my own:
byte alpha[8] = {0b00000, 0b00000, 0b01101, 0b10010, 0b10010, 0b10010, 0b01101, 0b00000};
//The Star's information.
String Polaris[] = {"Polaris Aa", "Ursae Minoris", "Period: 3.97", "1 : 1.052e29"};
int infoFlag = 1; //This keeps track of what we have already displayed.

void setup() {
  lcd.begin(16, 2); //Tells the program we will be using a 2x16 segment display
  lcd.createChar(0, alpha); //Creates the Alpha character
  pinMode(ledPinA, OUTPUT);
  pinMode(ledPinB, OUTPUT);
  pinMode(ledPinC, OUTPUT); //Sets our LEDs to be outputs
}

void loop() {
  //Chooses Line 1
  if (infoFlag < 3){ //The first two have the name of the star displayed above
    lcd.setCursor(3, 0);
    lcd.print(Polaris[0]);
  }else{ //The last one needs a specific title otherwise it is just a random ratio
    lcd.setCursor(0, 0);
    lcd.print("LED - Star Ratio");
  }
  
  //Chooses Line 2
  lcd.setCursor(0, 1);
  if (infoFlag == 1){
    lcd.write(byte(0)); //Writes the Alpha character
    lcd.setCursor(2, 1);
  }
  lcd.print(Polaris[infoFlag]);
  infoFlag++;
  if (infoFlag > 3){ //Resets the flag if all the information has been displayed
    infoFlag = 1;
  }
  
  digitalWrite(ledPinA, HIGH);//This pin is always at maximum brightness
  analogWrite(ledPinC, 255); 
  for (int i = 255; i >= 0; i--){ //First we reduce pin B to 0
    analogWrite(ledPinB, i);
    delay(5);
  }
  for (int j = 225; j > 53; j--){ //Then we reduce pin C until we are
    analogWrite(ledPinC, j);     //halfway through our time period.
    delay(5);
  }
  for (int k = 54; k <= 255; k++){ //The next two for loops bring the LEDs
    analogWrite(ledPinC, k);      //back up to maximum brightness in the
    delay(5);                    //time we have left.
  }
  for (int h = 0; h <= 255; h++){
    analogWrite(ledPinB, h);
    delay(5);
  }
  lcd.clear(); //Reset the LCD, ready for the next loop
}
